Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp.objects
Class Attributes

    java.lang.Object
      de.grogra.graph.Attributes
          de.grogra.imp.objects.Attributes

Direct Known Subclasses:
  Attributes

    public class Attributes

extends Attributes

Field Summary
`static DoubleAttribute` | `ANGLE`
`static FloatAttribute` | `BASE_RADIUS`
`static StringAttribute` | `CAPTION`
`static ObjectAttribute` | `COLOR`
`static FloatAttribute` | `CONTINUOUS_VERTICAL_ALIGNMENT`
`static ObjectAttribute` | `CURVE`
`static ObjectAttribute` | `FILL_COLOR`
`static BooleanAttribute` | `FILLED`
`static FloatAttribute` | `FLATNESS`
`static ObjectAttribute` | `FLOAT_DATA`
`static ObjectAttribute` | `FONT`
`static int` | `H_ALIGN_CENTER`
`static int` | `H_ALIGN_LEFT`
`static int` | `H_ALIGN_RIGHT`
`static DoubleAttribute` | `HEIGHT`
`static IntAttribute` | `HORIZONTAL_ALIGNMENT`
`static EnumerationType` | `HORIZONTAL_ALIGNMENT_TYPE`
`static DoubleAttribute` | `LENGTH`
`static BooleanAttribute` | `OUTLINED`
`static FloatAttribute` | `RADIUS`
`static DoubleAttribute` | `SCALE`
`static ObjectAttribute` | `SURFACE`
`static FloatAttribute` | `TOP_RADIUS`
`static BooleanAttribute` | `TRANSFORMING`
`static int` | `V_ALIGN_BOTTOM`
`static int` | `V_ALIGN_CENTER`
`static int` | `V_ALIGN_TOP`
`static DoubleAttribute` | `VALUE`
`static ObjectAttribute` | `VERTEX_GRID`
`static ObjectAttribute` | `VERTEX_LIST`
`static IntAttribute` | `VERTICAL_ALIGNMENT`
`static EnumerationType` | `VERTICAL_ALIGNMENT_TYPE`
`static DoubleAttribute` | `WIDTH`

Fields inherited from class de.grogra.graph.Attributes
`LAYER, LAYER_COUNT, NAME, USER_FIELDS, WEIGHT`

Constructor Summary
`Attributes()`

Method Summary

Methods inherited from class de.grogra.graph.Attributes
`init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANGLE

    public static final DoubleAttribute ANGLE

### BASE_RADIUS

    public static final FloatAttribute BASE_RADIUS

### CAPTION

    public static final StringAttribute CAPTION

### COLOR

    public static final ObjectAttribute COLOR

### CONTINUOUS_VERTICAL_ALIGNMENT

    public static final FloatAttribute CONTINUOUS_VERTICAL_ALIGNMENT

### CURVE

    public static final ObjectAttribute CURVE

### FILL_COLOR

    public static final ObjectAttribute FILL_COLOR

### FILLED

    public static final BooleanAttribute FILLED

### FLATNESS

    public static final FloatAttribute FLATNESS

### FLOAT_DATA

    public static final ObjectAttribute FLOAT_DATA

### FONT

    public static final ObjectAttribute FONT

### H_ALIGN_CENTER

    public static final int H_ALIGN_CENTER

See Also:
  Constant Field Values

### H_ALIGN_LEFT

    public static final int H_ALIGN_LEFT

See Also:
  Constant Field Values

### H_ALIGN_RIGHT

    public static final int H_ALIGN_RIGHT

See Also:
  Constant Field Values

### HEIGHT

    public static final DoubleAttribute HEIGHT

### HORIZONTAL_ALIGNMENT

    public static final IntAttribute HORIZONTAL_ALIGNMENT

### HORIZONTAL_ALIGNMENT_TYPE

    public static final EnumerationType HORIZONTAL_ALIGNMENT_TYPE

### LENGTH

    public static final DoubleAttribute LENGTH

### OUTLINED

    public static final BooleanAttribute OUTLINED

### RADIUS

    public static final FloatAttribute RADIUS

### SCALE

    public static final DoubleAttribute SCALE

### SURFACE

    public static final ObjectAttribute SURFACE

### TOP_RADIUS

    public static final FloatAttribute TOP_RADIUS

### TRANSFORMING

    public static final BooleanAttribute TRANSFORMING

### V_ALIGN_BOTTOM

    public static final int V_ALIGN_BOTTOM

See Also:
  Constant Field Values

### V_ALIGN_CENTER

    public static final int V_ALIGN_CENTER

See Also:
  Constant Field Values

### V_ALIGN_TOP

    public static final int V_ALIGN_TOP

See Also:
  Constant Field Values

### VALUE

    public static final DoubleAttribute VALUE

### VERTEX_GRID

    public static final ObjectAttribute VERTEX_GRID

### VERTEX_LIST

    public static final ObjectAttribute VERTEX_LIST

### VERTICAL_ALIGNMENT

    public static final IntAttribute VERTICAL_ALIGNMENT

### VERTICAL_ALIGNMENT_TYPE

    public static final EnumerationType VERTICAL_ALIGNMENT_TYPE

### WIDTH

    public static final DoubleAttribute WIDTH

Constructor Detail

### Attributes

    public Attributes()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD